Subject: Re: bug#16526: 24.3.50; scroll-conservatively & c-mode regression

From: martin rudalics <[email-masked]>
Date: Sun, 29 Jun 2014 12:06:46 +0200

> That's a bit philosophical.  open-..-start is advertised as a high level
 > option, and CC Mode only binds it to nil at a low level, the "engine"
 > level.  Binding user options to set values at a low level is quite a
 > common practice in Elisp programming.

It is a quite bad common practice in Elisp programming.

 > The actual bug here is that find_defun_start in syntax.c doesn't do any
 > cacheing, hence is scanning from BOB far too often.  How about we see
 > how things work once this is fixed.

We're discussing this problem for some ten years now and I'm afraid we
won't find a solution for the imminent release.

martin